#!/bin/sh
#set -x
#echo "addgroup.sh rbac"
#
#  Please read the License and Disclaimer found in the Readme.txt file 
#  in the /usr/local/ASAM/bin/PlatformServices/PlatformReceiver/scripts
#  directory.
#
#  COPYRIGHT
#
#  Copyright @ 2002 Omnibond Systems, LLC.
#
# addgroup.sh
#
# create group TARGETGROUP with gid ASSOCIATEDGIDNUMBER on the platform.
#
# TARGETGROUP required
# 
#                              example value
#
# ASSOCIATEDGIDNUMBER          99 
# TARGETGROUP                  group1
# CHECKMODE                    either "1" or ""
# FACILITY                     local5
#
# success return code: 0
#
# failure return code: not 0
#

if [ "$DEBUGMODE" = "TRUE" ] ; then set -x ; fi

COMMAND="/usr/sbin/groupadd"

[ "$ASSOCIATEDGIDNUMBER" ] 
if [ $? = "0" ]
then 
  COMMAND=$COMMAND" "-g" "$ASSOCIATEDGIDNUMBER 
fi

[ "$TARGETGROUP" ]
if [ $? = "1" ]
then
  /bin/logger -p $FACILITY.err -t $0 -i \
    `echo "TARGETGROUP not set"`
  exit 255
fi

# don't treat auths, profs or roles like groups
if [ "$GRBAC" != "" ] ; then exit $NOTHINGTODO ; fi

# specify the group
COMMAND=$COMMAND" "$TARGETGROUP

if [ "$CHECKMODE" ]  
then 
  /bin/logger -p $FACILITY.notice -t $0 -i \
     `echo ":"$COMMAND":"`
  exit $NOTHINGTODO
else
  eval $COMMAND
  RC=$?
  /bin/logger -p $FACILITY.notice -t $0 -i \
     `echo ":"$COMMAND": RC="$RC`
  exit $RC
fi

# shouldn't ever get here
exit 255
