#!/bin/sh
#echo "adduser.sh rbac"
#set -x
#
#  Please read the License and Disclaimer found in the Readme.txt file 
#  in the /usr/local/ASAM/bin/PlatformServices/PlatformReceiver/scripts
#  directory.
#
#  COPYRIGHT
#
#  Copyright @ 2002 Omnibond Systems, LLC.
#
# adduser.sh (solaris rbac)
#
#  add user TARGETUSER with uid ASSOCIATEDUIDNUMBER and gid
#  GIDNUMBER with gekos field NAME which is constructed from 
#  GIVENNAME and SURNAME.
#
#  TARGETUSER is required.
#  
#  success return code: 0
#  failure return code: not 0
#

if [ "$DEBUGMODE" = "TRUE" ] ; then set -x ; fi

if [ "$URBAC" = "TRUE" ]
then
  COMMAND="/usr/sbin/roleadd -m"
else
  COMMAND="/usr/sbin/useradd -m"
fi

if [ "$ASSOCIATEDUIDNUMBER" ]
then 
  COMMAND=$COMMAND" "-u" "$ASSOCIATEDUIDNUMBER 
fi

# check to see if we have any name related variables set
if [ "$GIVENNAME" ] ; then NAME=$GIVENNAME" " ; fi
if [ "$SURNAME" ] ; then NAME=$NAME$SURNAME ; fi
if [ "$NAME" ] ; then COMMAND=$COMMAND" "-c" ""'"$NAME"'" ; fi

[ "$TARGETUSER" ]
if [ $? = "1" ]
then
  /bin/logger -p $FACILITY.err -t $0 -i \
    `echo "TARGETUSER not set"`
  exit 255
fi

# specify the user
COMMAND=$COMMAND" "$TARGETUSER


if [ "$CHECKMODE" ]  
then 
  /bin/logger -p $FACILITY.notice -t $0 -i \
     `echo ":"$COMMAND":"`
  exit $NOTHINGTODO
else
  eval $COMMAND
  RC=$?
  /bin/logger -p $FACILITY.notice -t $0 -i \
     `echo ":"$COMMAND": RC="$RC`
  exit $RC
fi

# shouldn't ever get here
exit 255
