#!/bin/sh
#set -x
#echo "addusertogroup.sh rbac"
#
#  Please read the License and Disclaimer found in the Readme.txt file 
#  in the /usr/local/ASAM/bin/PlatformServices/PlatformReceiver/scripts
#  directory.
#
#  COPYRIGHT
#
#  Copyright @ 2002 Omnibond Systems, LLC.
#
# addusertogroup.sh (solaris/rbac)
#
#   usermod -G $TARGETGLIST $TARGETUSER
#

if [ "$DEBUGMODE" = "TRUE" ] ; then set -x ; fi

IFSSAVE=$IFS
IFS=$IFS,

# look though TARGETGLIST for auths, profs, roles and groups.
DATADIR=/usr/local/ASAM/data
for i in `echo $TARGETGLIST`
do
  IFS=$IFSSAVE
  
  # roles
  if [ -r $DATADIR/d.rolemap/$i ]
  then
    [ "$ROLE" ]
    if [ $? = "1" ]
    then
      ROLE=`cat $DATADIR/d.rolemap/$i`
    else
      ROLE=$ROLE","`cat $DATADIR/d.rolemap/$i`
    fi
    continue
  fi

  # auths
  if [ -r $DATADIR/d.authmap/$i ]
  then
    [ "$AUTH" ]
    if [ $? = "1" ]
    then
      AUTH=`cat $DATADIR/d.authmap/$i`
    else
      AUTH=$AUTH","`cat $DATADIR/d.authmap/$i`
    fi
    continue
  fi

  # profs
  if [ -r $DATADIR/d.profmap/$i ]
  then
    [ "$PROF" ]
    if [ $? = "1" ]
    then
      PROF=`cat $DATADIR/d.profmap/$i`
    else
      PROF=$PROF","`cat $DATADIR/d.profmap/$i`
    fi
    continue
  fi

  # groups
  [ "$GRP" ]
  if [ $? = "1" ]
  then
    GRP=$i
  else
    GRP=$GRP","$i
  fi

done

# check to see if TARGETUSER is a role
if [ "$URBAC" = "TRUE" ] 
then
  COMMAND="/usr/sbin/rolemod"
else
  COMMAND="/usr/sbin/usermod"
fi
ORIGINALCOMMAND=$COMMAND

# If user is already in all the right groups, don't do anything.
MASK="0"
[ "$ADDGLIST" ]
MASK=`expr $MASK + $?`
[ "$DELGLIST" ]
MASK=`expr $MASK + $?`
if [ $MASK = "2" ] ; then exit $NOTHINGTODO ; fi # nothing to do

[ "$AUTH" ]
if [ $? = "0" ]
then
  COMMAND=$COMMAND" -A "$AUTH
fi

[ "$PROF" ]
if [ $? = "0" ]
then
  COMMAND=$COMMAND" -P ""'"$PROF"'"
fi

[ "$ROLE" ]
if [ $? = "0" ]
then
  COMMAND=$COMMAND" -R "$ROLE
fi

[ "$GRP" ]
if [ $? = "0" ]
then
  COMMAND=$COMMAND" -G "$GRP
fi

# check for nothing to do
if [ "$COMMAND" = "$ORIGINALCOMMAND" ] 
then 
  [ "$DELGLIST" ]
  if [ $? = "1" ] 
  then 
    exit $NOTHINGTODO # nothing to do
  else # must be a delete from all supplementary groups
    COMMAND=$COMMAND" -G \"\" -A \"\" -P \"\" -R \"\" "
  fi
fi

COMMAND=$COMMAND" "$TARGETUSER

if [ $CHECKMODE ]  
then 
  /bin/logger -p $FACILITY.notice -t $0 -i \
    `echo ":"$COMMAND":"`
  exit $NOTHINGTODO
else
  eval $COMMAND
  RC=$?
  /bin/logger -p $FACILITY.notice -t $0 -i \
     `echo ":"$COMMAND": RC="$RC`
  exit $RC
fi

# shouldn't ever get here
exit 255
