#!/bin/sh
#set -x
#echo delgroup.sh
#
#  Please read the License and Disclaimer found in the Readme.txt file 
#  in the /usr/local/ASAM/bin/PlatformServices/PlatformReceiver/scripts
#  directory.
#
#  COPYRIGHT
#
#  Copyright @ 2002 Omnibond Systems, LLC.
#
#
# user/group associations set in /etc/passwd are not neccessarily 
# reflected in /etc/group. After this script removes a group from
# /etc/group, the potential exists that there could still be 
# users on the platform whose primary gid is that of the removed
# group. Any such users will be reported in the log.
#

if [ "$DEBUGMODE" = "TRUE" ] ; then set -x ; fi

# don't treat auths, profs or roles like groups
if [ "$GRBAC" != "" ] ; then exit $NOTHINGTODO ; fi

COMMAND="/usr/sbin/groupdel "$TARGETGROUP

if [ $CHECKMODE ]
then
  /bin/logger -p $FACILITY.notice -t $0 -i \
     `echo ":"$COMMAND":"`
  exit $NOTHINGTODO
else  
  eval $COMMAND
  RC=$?
  /bin/logger -p $FACILITY.notice -t $0 -i \
     `echo ":"$COMMAND": RC="$RC`
  while read line
  do
    GID=`echo $line|awk -F: '{ print $4 }'`
    USER=`echo $line|awk -F: '{ print $1 }'`
    if [ "$TARGETGROUPGID" = "$GID" ]
    then 
      /bin/logger -p $FACILITY.notice -t $0 -i \
         `echo $USER" retains "$GID" as a primary GID"`
    fi
  done < /etc/passwd
  exit $RC
fi

# shouldn't ever get here
exit 255
