#!/bin/sh
#echo does_group_exist.sh 
#set -x
#
#  Please read the License and Disclaimer found in the Readme.txt file 
#  in the /usr/local/ASAM/bin/PlatformServices/PlatformReceiver/scripts
#  directory.
#
#  COPYRIGHT
#
#  Copyright @ 2002 Omnibond Systems, LLC.
#
# check to see if group exists (rbac version)

if [ "$DEBUGMODE" = "TRUE" ] ; then set -x ; fi

[ "$TARGETGROUP" ]
if [ $? = "1" ]
then
  /bin/logger -p $FACILITY.err -t $0 -i \
     `echo "TARGETGROUP not set!"`
  exit 254
fi

if [ "$GRBAC" != "" ]
then
  # remember the rolename that the group is associated with since
  # that information won't be available in the populate user event
  DATADIR=/usr/local/ASAM/data
  if [ "$TRBAC" = "role" ] 
  then
    if  [ ! -d  $DATADIR/d.rolemap ] ; then mkdir $DATADIR/d.rolemap ; fi
    echo "$GRBAC" > $DATADIR/d.rolemap/$TARGETGROUP
  elif [ "$TRBAC" = "prof" ] 
  then
    if  [ ! -d  $DATADIR/d.profmap ] ; then mkdir $DATADIR/d.profmap ; fi
    echo "$GRBAC" > $DATADIR/d.profmap/$TARGETGROUP
  elif [ "$TRBAC" = "auth" ] 
  then
    if  [ ! -d  $DATADIR/d.authmap ] ; then mkdir $DATADIR/d.authmap ; fi
    echo "$GRBAC" > $DATADIR/d.authmap/$TARGETGROUP
  else
  /bin/logger -p $FACILITY.err -t $0 -i \
     `echo "TRBAC set to whacky value :"$TRBAC":"`
  fi
  exit 1 # whatever, be consistent
fi

/bin/grep "^$TARGETGROUP:" /etc/group > /dev/null 2>&1
# map return codes to what we want them to be
if [ $? = "0" ] ; then exit 1 ; else exit 0 ; fi
#exit 255 #should never get here
