#!/bin/sh
#set -x
#echo modgroup.sh
#
#  Please read the License and Disclaimer found in the Readme.txt file 
#  in the /usr/local/ASAM/bin/PlatformServices/PlatformReceiver/scripts
#  directory.
#
#  COPYRIGHT
#
#  Copyright @ 2002 Omnibond Systems, LLC.
#
# modgroup.sh
#

# make sure that TARGETGROUP is set, and that TARGETGROUP exists on 
# platform. Determine TARGETGROUP's GID in the process.
#

if [ "$DEBUGMODE" = "TRUE" ] ; then set -x ; fi

[ "$TARGETGROUP" ]
if [ $? = "1" ] 
then
  /bin/logger -p $FACILITY.err -t $0 -i \
    `echo "TARGETGROUP not set"`
  exit 255
else
  # don't treat auths, profs or roles like groups
  if [ "$GRBAC" != "" ] ; then exit $NOTHINGTODO ; fi
  #
  GNUM=`/bin/grep "^$TARGETGROUP:" /etc/group | /bin/awk -F: '{ print $3 }'`
  [ $GNUM ]
  if [ $? = "1" ]
  then
    /bin/logger -p $FACILITY.err -t $0 -i `echo "$TARGETGROUP not found"`
    exit 255
  fi
fi
  
COMMAND="/usr/sbin/groupmod "

# see if there's anything to do.
[ "$ASSOCIATEDGIDNUMBER" ]
if [ $? = "1" ]
then
  exit $NOTHINGTODO
fi
  
# see if there's anything to do.
if [ $ASSOCIATEDGIDNUMBER != $GNUM ]
then
  COMMAND=$COMMAND" "-g" "$ASSOCIATEDGIDNUMBER 
else
  exit $NOTHINGTODO
fi

COMMAND=$COMMAND" "$TARGETGROUP

if [ "$CHECKMODE" ]  
then 
  /bin/logger -p $FACILITY.notice -t $0 -i \
    `echo ":"$COMMAND":"`
  exit $NOTHINGTODO
else
  eval $COMMAND
  RC=$?
  /bin/logger -p $FACILITY.notice -t $0 -i \
     `echo ":"$COMMAND": RC="$RC`
  exit $RC
fi

# shouldn't ever get here
exit 255
