#!/bin/sh
#echo moduser.sh
#set -x
#
#  Please read the License and Disclaimer found in the Readme.txt file 
#  in the /usr/local/ASAM/bin/PlatformServices/PlatformReceiver/scripts
#  directory.
#
#  COPYRIGHT
#
#  Copyright @ 2002 Omnibond Systems, LLC.
#

if [ "$DEBUGMODE" = "TRUE" ] ; then set -x ; fi

COMMAND="/usr/sbin/usermod"
ORIGINALCOMMAND=$COMMAND
NAME=""

if [ "$URBAC" = "TRUE" ]
then
  COMMAND="/usr/sbin/rolemod"
  ORIGINALCOMMAND=$COMMAND
fi

# COMMAND will fail if UIDNUMBER is already in use
if [ "$ASSOCIATEDUIDNUMBER" ] 
then 
  CURRENTUID=`grep "^$TARGETUSER:" /etc/passwd|awk -F: '{ print $3 }'`
  if [ "$CURRENTUID" != "$ASSOCIATEDUIDNUMBER" ]
  then 
    COMMAND=$COMMAND" "-u" "$ASSOCIATEDUIDNUMBER 
  fi
fi

# check to see if we have any name related variables set
if [ "$GIVENNAME" ] 
then 
  NAME=$GIVENNAME" " 
fi

if [ "$SURNAME" ] 
then 
  NAME=$NAME$SURNAME
fi

if [ "$NAME" ] 
then
  CURRENTNAME=`grep "^$TARGETUSER:" /etc/passwd|awk -F: '{ print $5 }'`
  if [ "$CURRENTNAME" != "$NAME" ] 
  then 
    COMMAND=$COMMAND" "-c" ""'"$NAME"'" 
  fi
fi
  
if [ "$COMMAND" = "$ORIGINALCOMMAND" ]
then
  exit $NOTHINGTODO
fi

# specify the user
COMMAND=$COMMAND" "$TARGETUSER

if [ $CHECKMODE ]  
then 
  /bin/logger -p $FACILITY.notice -t $0 -i \
     `echo ":"$COMMAND":"`
  exit $NOTHINGTODO
else
  eval $COMMAND
  RC=$?
  /bin/logger -p $FACILITY.notice -t $0 -i \
     `echo ":"$COMMAND": RC="$RC`
  exit $RC
fi

# shouldn't ever get here
exit 255
