#!/bin/sh
#set -x
#echo platformgetgrnam.sh
#
#  Please read the License and Disclaimer found in the Readme.txt file 
#  in the /usr/local/ASAM/bin/PlatformServices/PlatformReceiver/scripts
#  directory.
#
#  COPYRIGHT
#
#  Copyright @ 2002 Omnibond Systems, LLC.
#
#
# platformgetgrnam.sh
#
#   record platform gid of TARGETGROUP in PARMFILE
#

if [ "$DEBUGMODE" = "TRUE" ] ; then set -x ; fi

[ $FACILITY ]
if [ $? = "1" ] ; then exit 255 ; fi

# do some sanity checking on PARMFILE
[ $PARMFILE ]
if [ $? = "1" ] 
then 
  /bin/logger -p $FACILITY.notice -t $0 -i \
    `echo "PARMFILE not set"`
  exit 255
fi

DIRNAME=`dirname $PARMFILE`
if [ $DIRNAME != "/tmp" ] 
then 
  /bin/logger -p $FACILITY.notice -t $0 -i \
    `echo "PARMFILE not correct :"$PARMFILE":"`
  exit 255
fi

if [ -h $PARMFILE ] 
then 
  /bin/logger -p $FACILITY.notice -t $0 -i \
    `echo $PARMFILE" a symbolic link!"`
  exit 255
fi

if [ -f $PARMFILE ] 
then 
  /bin/logger -p $FACILITY.notice -t $0 -i \
    `echo "PARMFILE exists!"`
  exit 255
fi 

[ "$TARGETGROUP" ]
if [ $? = "1" ] 
then
  /bin/logger -p $FACILITY.notice -t $0 -i \
    `echo "TARGETGROUP not set."`
  exit 255
fi 

GRECORD=""
GRECORD=`/bin/grep "^$TARGETGROUP:" /etc/group`

[ "$GRECORD" ]
if [ $? = "1" ]
then
  echo $TARGETGROUP>$PARMFILE
  echo "-1">>$PARMFILE
else
  echo $TARGETGROUP>$PARMFILE
  echo `echo $GRECORD | /bin/awk -F: '{ print $3 }'`>>$PARMFILE
fi

echo "EOFMARKER">>$PARMFILE
exit 0
