#!/bin/sh
#set -x
#echo renamegroup.sh
#
#  Please read the License and Disclaimer found in the Readme.txt file 
#  in the /usr/local/ASAM/bin/PlatformServices/PlatformReceiver/scripts
#  directory.
#
#  COPYRIGHT
#
#  Copyright @ 2002 Omnibond Systems, LLC.
#
# renamegroup.sh
#
# groupmod -g 29 -n group1 group2
#   if there's a user who's primary gid is group1's gid (not 29), 
#   and who is not listed on group1's /etc/group line, then
#   the user won't end up in group2. In other words, groupmod
#   won't change a user's primary group affiliation.

if [ "$DEBUGMODE" = "TRUE" ] ; then set -x ; fi

[ "$TARGETGROUP" ]
if [ $? = "1" ] 
then
  /bin/logger -p $FACILITY.err -t $0 -i \
    `echo "TARGETGROUP not set"`
  exit 255
fi
  
# don't treat auths, profs or roles like groups
if [ "$GRBAC" != "" ] ; then exit $NOTHINGTODO ; fi

COMMAND="/usr/sbin/groupmod "

if [ "$PLATFORMASSOCIATION" ] 
then 
  COMMAND=$COMMAND" "-n" "$TARGETGROUP
fi

COMMAND=$COMMAND" "$PLATFORMASSOCIATION

if [ "$CHECKMODE" ]  
then 
  /bin/logger -p $FACILITY.notice -t $0 -i \
    `echo ":"$COMMAND":"`
  exit $NOTHINGTODO
else
  eval $COMMAND
  RC=$?
  /bin/logger -p $FACILITY.notice -t $0 -i \
     `echo ":"$COMMAND": RC="$RC`
  exit $RC
fi

# shouldn't ever get here
exit 255
