#!/bin/sh
#set -x
#echo renameuser.sh
#
#  Please read the License and Disclaimer found in the Readme.txt file 
#  in the /usr/local/ASAM/bin/PlatformServices/PlatformReceiver/scripts
#  directory.
#
#  COPYRIGHT
#
#  Copyright @ 2002 Omnibond Systems, LLC.
#
#renameuser.sh
#
#   usermod -l flargnorf -g 100 -G daemon,joeblow -d /home/flargnorf -m dixie
#
#     what about user's mailbox? could be other files/dirs with 
#     user's symbolic name in them.

if [ "$DEBUGMODE" = "TRUE" ] ; then set -x ; fi

[ "$TARGETUSER" ]
if [ $? = "1" ]
then
  /bin/logger -p $FACILITY.err -t $0 -i \
    `echo "TARGETUSER not set"`
  exit 255
fi

[ "$PLATFORMASSOCIATION" ]
if [ $? = "1" ]
then
  /bin/logger -p $FACILITY.err -t $0 -i \
    `echo "PLATFORMASSOCIATION not set"`
  exit 255
fi

if [ "$URBAC" = "TRUE" ]
then
  COMMAND="/usr/sbin/rolemod"
else
  COMMAND="/usr/sbin/usermod"
fi
 
# figure out where the home directory is 
OLDDIR=`grep "^$PLATFORMASSOCIATION:" /etc/passwd | awk -F: '{ print $6 }'`
DIRPATH=`/bin/dirname $OLDDIR`
NEWDIR=$DIRPATH"/"$TARGETUSER

COMMAND=$COMMAND" -l "$TARGETUSER

[ "$NEWDIR" ]
if [ $? = "0" ] ; then COMMAND=$COMMAND" -d "$NEWDIR" -m" ; fi

PRIMARY=""
SUPPLEMENTARY=""
for GROUP in `groups $PLATFORMASSOCIATION`
do
  [ $PRIMARY ] 
  if [ $? = "1" ]
  then
    PRIMARY=$GROUP
  else
    [ $SUPPLEMENTARY ]
    if [ $? = "1" ]
    then
      SUPPLEMENTARY=$GROUP
    else
      SUPPLEMENTARY=$SUPPLEMENTARY","$GROUP
    fi
  fi
done

[ "$PRIMARY" ]
if [ $? = "0" ] ; then COMMAND=$COMMAND" -g "$PRIMARY ; fi

[ "$SUPPLEMENTARY" ]
if [ $? = "0" ] ; then COMMAND=$COMMAND" -G "$SUPPLEMENTARY ; fi

COMMAND=$COMMAND" "$PLATFORMASSOCIATION

if [ $CHECKMODE ]  
then 
  /bin/logger -p $FACILITY.notice -t $0 -i \
    `echo ":"$COMMAND":"`
  exit $NOTHINGTODO
else
  eval $COMMAND
  RC=$?
  /bin/logger -p $FACILITY.notice -t $0 -i \
     `echo ":"$COMMAND": RC="$RC`
  if [ $RC = "0" ] ; then /bin/chown -R $TARGETUSER $NEWDIR ; fi
  exit $RC
fi

# shouldn't ever get here
exit 255
